Subject: Re: bug#40031: OpenScad Test errors

From: Marius Bakke <[email-masked]>
Date: Fri, 20 Mar 2020 19:06:14 +0100

Ekaitz Zarraga <[email-masked]> writes:

> ‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
> On Wednesday, March 11, 2020 10:51 PM, Leo Famulari <[email-masked]> wrote:
>
>> On Wed, Mar 11, 2020 at 08:48:43PM +0000, Ekaitz Zarraga wrote:
>>
>> > Hi,
>> > My installation of GuixSD fails to install OpenSCAD.
>> > Running `guix environment --pure --ad-hoc openscad` fails with the errors I attach.
>> > Can you reproduce or is it just a problem with my installation?
>> > Ideas about how can I correct this?
>>
>> Try running it again the build with --keep-failed and then looking in
>> the build directory for test suite logs. There is not much to go on in
>> the build log you sent.
>
>
>
> I made it.
> I opened the folder and it's compiled and it runs pretty well.
>
> The tests have the following errors which are exclusively related with the test tooling, in my opinion.
>
> ```
> Unable to open a connection to the X server.
> DISPLAY=:1
> Can't create OpenGL OffscreenView. Code: -1.
>
> Error: openscad failed with return code 1
>
> Test time =   0.06 sec
> ```
>
> The tests compare the *image* of what it's supposed to render OpenSCAD with some already rendered images.
> The problem is it's trying to access a screen and it's unable to do it.
> There's `xvfb` for X testing but it's like it's not working.
>
> Ideas?

It looks like this problem fixed itself.  OpenSCAD builds successfully
on 'master' now, at least for i686 and x86_64:

https://ci.guix.gnu.org/search?query=openscad

Closing the bug, thanks for reporting it!